<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Alterar/Excluir Bloco</span>
</div>
<div id="conteudo">

<?
if(isset($_GET['alterado'])){
	if($_GET['alterado'] == 1)
		echo "<p class=\"sucesso\">Publicado Com Sucesso!</p>";
	else
		echo "<p class=\"erro\">Erro ao publicar. Publicado arquivo em branco.</p>";	
}
?>

<!-- Formulário de busca -->
<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
  <option value="b_id">ID</option>
  <option value="b_nome" selected="selected">Nome</option>
</select>
<input type="text" name="busca" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" />
</div>
<!-- FIM Formulário de busca -->


<?php
include("config.php");

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = $_GET['id'];				
		
		$delete = "DELETE FROM ctd_blocos WHERE b_id = $id";		
   		mysqli_query($conn, $delete);
			
	}
}

include("utf8.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
$sql = "SELECT * FROM ctd_blocos ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = stripslashes($_POST['qry']);
}else{
	$qry = "SELECT * FROM ctd_blocos ORDER by b_id ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação

?>


<table align="center" class="form exibe">
  <tr>
    <th width="1">ID</th>
    <th>Nome</th>
    <th width="1">Publicar</th>
    <th width="1">Alterar</th>
    <th width="1">Excluir</th>
  </tr>

<?
while ($linha = mysqli_fetch_array($consulta)) {
?>

  <tr>
    <td><?=$linha['b_id'];?></td>
    <td><?=$linha['b_nome'];?></td>
    <td><input type="image" src="imagem/publicar.png" name="acao" onclick="location.href = 'ctd_publicar_bloco.php?id=<?=$linha['b_id'];?>'"></td>  
    <td><input type="image" src="imagem/editar.png" name="acao" onclick="location.href = 'ctd_bloco_alt.php?id=<?=$linha['b_id'];?>'"></td>
    <td><input type="image" src="imagem/excluir.png" value="remover" name="acao" onclick="confirma_bloco(<?=$linha['b_id'];?>)"></td>
  </tr>
  <?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>
